- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# bigip_gtm_global – Manages global GTM settings

New in version 2.6.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Manages global GTM settings. These settings include general, load balancing, and metrics related settings.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
provider dictionary added in 2.5 |  | A dict object containing connection details.
| auth_provider string |  | Configures the auth provider for to obtain authentication tokens from the remote device. This option is really used when working with BIG-IQ devices.
| password string / required |  | The password for the user account used to connect to the BIG-IP. You may omit this option by setting the environment variable `F5_PASSWORD`. aliases: pass, pwd
| server string / required |  | The BIG-IP host. You may omit this option by setting the environment variable `F5_SERVER`.
| server_port integer | Default: 443 | The BIG-IP server port. You may omit this option by setting the environment variable `F5_SERVER_PORT`.
| ssh_keyfile path |  | Specifies the SSH keyfile to use to authenticate the connection to the remote device. This argument is only used for cli transports. You may omit this option by setting the environment variable `ANSIBLE_NET_SSH_KEYFILE`.
| timeout integer |  | Specifies the timeout in seconds for communicating with the network device for either connecting or sending commands. If the timeout is exceeded before the operation is completed, the module will error.
| transport string | Choices: cli rest ← | Configures the transport connection to use when connecting to the remote device.
| user string / required |  | The username to connect to the BIG-IP with. This user must have administrative privileges on the device. You may omit this option by setting the environment variable `F5_USER`.
| validate_certs boolean | Choices: no yes ← | If `no`, SSL certificates are not validated. Use this only on personally controlled sites using self-signed certificates. You may omit this option by setting the environment variable `F5_VALIDATE_CERTS`.
synchronization boolean | Choices: no yes | Specifies whether this system is a member of a synchronization group. When you enable synchronization, the system periodically queries other systems in the synchronization group to obtain and distribute configuration and metrics collection updates. The synchronization group may contain systems configured as Global Traffic Manager and Link Controller systems.
synchronization_group_name string |  | Specifies the name of the synchronization group to which the system belongs.
synchronize_zone_files boolean | Choices: no yes | Specifies that the system synchronizes Domain Name System (DNS) zone files among the synchronization group members.

## Notes

Note

- For more information on using Ansible to manage F5 Networks devices see https://www.ansible.com/integrations/networks/f5.

- Requires BIG-IP software version >= 12.

- The F5 modules only manipulate the running configuration of the F5 product. To ensure that BIG-IP specific configuration persists to disk, be sure to include at least one task that uses the bigip_config module to save the running configuration. Refer to the module’s documentation for the correct usage of the module to save your running configuration.

## Examples

    - name: Configure synchronization settings
      bigip_gtm_global:
        synchronization: yes
        synchronization_group_name: my-group
        synchronize_zone_files: yes
        state: present
        provider:
          user: admin
          password: secret
          server: lb.mydomain.com
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
synchronization boolean | changed | The synchronization setting on the system. Sample: True
synchronization_group_name string | changed | The synchronization group name. Sample: my-group
synchronize_zone_files string | changed | Whether or not the system will sync zone files. Sample: my-group

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by an Ansible Partner. [certified]

### Authors

- Tim Rupp (@caphrim007)

- Wojciech Wypior (@wojtek0806)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.